Gitweb:
https://git.exim.org/exim.git/commitdiff/d50a8be23a0e941161b1abeee78ebb5d2304d15b
Commit: d50a8be23a0e941161b1abeee78ebb5d2304d15b
Parent: 4a93d57ba2ba7263b6eddee347f9bee9bde97378
Author: Heiko Schlittermann (HS12-RIPE) <hs@???>
AuthorDate: Mon Dec 3 16:44:05 2018 +0100
Committer: Heiko Schlittermann (HS12-RIPE) <hs@???>
CommitDate: Thu Dec 13 22:50:22 2018 +0100
reversion: tidy
---
src/scripts/reversion | 60 +++++++++++++++++++++++++--------------------------
1 file changed, 29 insertions(+), 31 deletions(-)
diff --git a/src/scripts/reversion b/src/scripts/reversion
index 0ee2f8d..63b4adb 100755
--- a/src/scripts/reversion
+++ b/src/scripts/reversion
@@ -29,43 +29,41 @@ fi
# Read version information that was generated by a previous run of
# this script, or during the release process.
-if [ -f ./version.sh ]
-then . ./version.sh
-elif [ -f ../src/version.sh ]
-then . ../src/version.sh
-fi
-
-# If this tree is a git working directory, use that to get version information.
-
-if [ -d ../../.git ] || [ -f ../../.git ] || [ "$1" = "release" ]
-then
- # Modify the output of git describe into separate parts for
- # the name "exim" and the release and variant versions.
- # Put a dot in the version number and remove a spurious g.
- if [ "$2" ]
- then
- description=$(git describe "$2")
- else
- description=$(git describe --dirty=-XX --match 'exim-4*')
- fi
set $(echo "$description" | sed 's|-| |;s|_|.|;s|[-_]| _|;s|-g|-|')
- # Only update if we need to
- if [ "$2 $3" != "$EXIM_RELEASE_VERSION $EXIM_VARIANT_VERSION" ]
- then
- EXIM_RELEASE_VERSION="$2"
- EXIM_VARIANT_VERSION="$3"
- rm -f version.h
- fi
+if [ -f ./version.sh ]; then
+ . ./version.sh
+elif [ -f ../src/version.sh ]; then
+ . ../src/version.sh
+elif [ -d ../../.git ] || [ -f ../../.git ] || [ "$1" = release ]; then
+ # Modify the output of git describe into separate parts for
+ # the name "exim" and the release and variant versions.
+ # Put a dot in the version number and remove a spurious g.
+ if [ "$2" ]
+ then
+ description=$(git describe "$2")
+ else
+ description=$(git describe --dirty=-XX --match 'exim-4*')
+ fi
+ # Only update if we need to
+ if [ "$2 $3" != "$EXIM_RELEASE_VERSION $EXIM_VARIANT_VERSION" ]
+ then
+ EXIM_RELEASE_VERSION="$2"
+ EXIM_VARIANT_VERSION="$3"
+ rm -f version.h
+ fi
+else
+ echo "Cannot determine the release number" >&2
+ exit
fi
# If you are maintaining a patched version of Exim, you can either
# create your own version.sh as part of your release process, or you
# can modify EXIM_VARIANT_VERSION at this point in this script.
-case "$EXIM_RELEASE_VERSION" in
-'') echo "*** Your copy of Exim lacks any version information."
- exit 1
-esac
+if test -z "$EXIM_RELEASE_VERSION"; then
+ echo "$0: Your copy of Exim lacks any version information." >&2
+ exit 1
+fi
EXIM_COMPILE_NUMBER=$(expr "${EXIM_COMPILE_NUMBER:-0}" + 1)
@@ -120,5 +118,5 @@ then
) >version.h
fi
-echo ">>> version $EXIM_RELEASE_VERSION$EXIM_VARIANT_VERSION #$EXIM_COMPILE_NUMBER"
+echo ">>> version $EXIM_RELEASE_VERSION $EXIM_VARIANT_VERSION #$EXIM_COMPILE_NUMBER"
echo